%define name eshell
%define version 2.3
%define release 1mdk

%define pname pcomplete
%define pversion 1.1.5

Summary: An Emacs command shell.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.emacs.org/~johnw/Emacs/packages/eshell-2.3.tar.bz2
Copyright: GPL
Group: Shells
Url: http://www.emacs.org/~johnw/eshell.html
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: emacs emacs-%{pname}

%package -n emacs-%{pname}
Summary: Programmable completion for Emacs.
Group: Editors
Requires: %{name} = %{version}

%description
eshell is a command shell implemented entirely in Emacs Lisp.  It
invokes no external processes beyond those requested by the user.  It
is intended to be a functional replacement for command shells such as
bash, zsh, rc, 4dos; since Emacs itself is capable of handling most
of the tasks accomplished by such tools.

%description -n emacs-%{pname}
Pcomplete provides a facility for using programmatic completion in
Emacs. It is especially useful for utilities like shells and command
interpretors, but can in fact be used anywhere within Emacs.

%prep
%setup -n %{name}
tar xfz %{name}.tar.gz
tar xfz %{pname}-%{pversion}.tar.gz

%build
%make -C  %{name}-%{version}  docdir=%{_docdir} infodir=%{_infodir} datadir=%{_datadir}
%make -C %{pname}-%{pversion} docdir=%{_docdir} infodir=%{_infodir} datadir=%{_datadir}

%install
rm -rf $RPM_BUILD_ROOT
(cd  %{name}-%{version}  ; %makeinstall)
(cd %{pname}-%{pversion} ; %makeinstall)

# remove .el's when a byte-compiled version exists
find $RPM_BUILD_ROOT -name "*.elc" | sed 's/\.elc$/.el/' | xargs rm

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
(add-to-list 'load-path "%{_datadir}/emacs/site-lisp/%{name}")
(require '%{name}-auto)
EOF
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{pname}.el
(add-to-list 'load-path "%{_datadir}/emacs/site-lisp/%{pname}")
EOF

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{name}-%{version}/README %{name}-%{version}/NEWS %{name}-%{version}/FEATURES
%{_infodir}/%{name}*
%{_datadir}/emacs/site-lisp/%{name}
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}*

%files -n emacs-%{pname}
%defattr(-,root,root)
%doc %{pname}-%{pversion}/README
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/%{pname}
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{pname}*

%changelog
* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 2.3-1mdk
- first spec


# end of file
